# ``twisted`.`protocols`.`amp`.`CommandLocator``

class documentation

`class CommandLocator: (source)`

Known subclasses: `twisted.protocols.amp.AMP`

Implements interfaces: `twisted.protocols.amp.IResponderLocator`

View In Hierarchy

A `CommandLocator` is a collection of responders to AMP `Command`s, with the help of the `Command.responder` decorator.

Method | `locateResponder` | Locate a callable to invoke when executing the named command.
Method | `lookupFunction` | Deprecated synonym for `CommandLocator.locateResponder`
Method | `_wrapWithSerialization` | Wrap aCallable with its command's argument de-serialization and result serialization logic.

def locateResponder(self, name): (source)
from `twisted.protocols.amp.IResponderLocator`
overridden in `twisted.protocols.amp.AMP`
Locate a callable to invoke when executing the named command.

Parameters
name:`bytes` | the normalized name (from the wire) of the command.
Returns
a 1-argument function that takes a Box and returns a box or a Deferred which fires a Box, for handling the command identified by the given name, or None, if no appropriate responder can be found.

def lookupFunction(self, name): (source)
Deprecated synonym for `CommandLocator.locateResponder`
def _wrapWithSerialization(self, aCallable, command): (source)
Wrap aCallable with its command's argument de-serialization and result serialization logic.

Parameters
aCallable | a callable with a 'command' attribute, designed to be called with keyword arguments.
command | the command class whose serialization to use.
Returns
a 1-arg callable which, when invoked with an AmpBox, will deserialize the argument list and invoke appropriate user code for the callable's command, returning a Deferred which fires with the result or fails with an error.